Subject: bug#199: mirrors: InRelease files missing Origin: field

From: Olaf Meeuwissen <[email-masked]>
Date: Mon, 23 Apr 2018 20:47:19 +0900

Package: mirrors
Severity: normal

Dear Maintainer,

The *_InRelease files for pkgmaster.devuan.org and deb.devuan.org (and
probably also all *.deb.devuan.org mirrors) do not include an Origin:
field.  The *_InRelease files on packages.devuan.org do.  I haven't
checked amprolla.devuan.org or *.mirrors.devuan.org.

This came to light debugging odd behaviour of `lsb_release -c` (as you
can see illustrated below in the System Information where the codename
is `n/a`) using deb.devuan.org (see
https://lists.dyne.org/lurker/message/20180420.115057.d298af7b.en.html).
Whether `lsb_release` should consult these files is a separate issue but
when I switch to packages.devuan.org and run `apt-get update` the
codename all of a sudden displays as `ascii`, as expected.

There may be other packages that rely on the Origin: information.  One
that I am aware of is unattended-upgrades.  Its configuration lets the
user select which parts of their APT sources should be upgraded
unattended.  One of the specifications it supports is based on the
Origin: field.  Absence of the field in InRelease files will probably
break that.

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux testing/unstable
Release:	testing/unstable
Codename:	n/a

Architecture: x86_64

Kernel: Linux 4.9.0-6-amd64 (SMP w/2 CPU cores)
Locale: LANG=C.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Hope this helps,
--
Olaf Meeuwissen, LPIC-2            FSF Associate Member since 2004-01-27
 GnuPG key: F84A2DD9/B3C0 2F47 EA19 64F4 9F13  F43E B8A4 A88A F84A 2DD9
 Support Free Software                        https://my.fsf.org/donate
 Join the Free Software Foundation              https://my.fsf.org/join